Bug 1571757 - Review Request: squeezelite - Headless music player for streaming from Logitech Media Server
Summary: Review Request: squeezelite - Headless music player for streaming from Logite...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-25 11:24 UTC by Peter Oliver
Modified: 2018-05-11 01:49 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-05-11 01:23:31 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Peter Oliver 2018-04-25 11:24:47 UTC
Spec URL: https://pagure.io/squeezelite-rpm/raw/master/f/squeezelite.spec
SRPM URL: https://kojipkgs.fedoraproject.org//work/tasks/4374/26554374/squeezelite-1.8.7.1083-2.20180424git8386ece.fc29.src.rpm
Description: Squeezelite is a headless client for Logitech Media Server, and can be used in place of dedicated Squeezebox network music playing hardware.
Fedora Account System Username: mavit

Comment 1 Robert-André Mauchin 2018-04-25 16:41:01 UTC
 - You need to run the systemd scriplets for service and user unit files. See https://fedoraproject.org/wiki/Packaging:Scriptlets?rd=Packaging:ScriptletSnippets#Systemd

%{?systemd_requires}
BuildRequires: systemd

   Then:

%post
%systemd_post %{name}.service
%systemd_user_post %{name}.service

%preun
%systemd_preun %{name}.service
%systemd_user_preun %{name}.service

%postun
%systemd_postun_with_restart %{name}.service

Comment 3 Robert-André Mauchin 2018-04-26 10:47:09 UTC
 - You include DSD support, which is licensed under BSD, add it to the License field and add a comment exblining the license breakdown.

 - Install the DSD license file too, you have to rename it first

mv dsd2pcm/LICENSE.txt dsd2pcm/LICENSE-dsd.txt

%license dsd2pcm/LICENSE-dsd.txt


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL", "GPL (v3 or later)", "Unknown or generated", "BSD (2
     clause) GPL (v3 or later)", "NTP", "ISC", "GPL (v2 or later) (with
     incorrect FSF address)", "BSD (2 clause)". 43 files have unknown
     license. Detailed output of licensecheck in
     /home/bob/packaging/review/squeezelite/review-
     squeezelite/licensecheck.txt
[!]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: squeezelite-1.8.7.1083-3.20180426git8386ece.fc29.x86_64.rpm
          squeezelite-debuginfo-1.8.7.1083-3.20180426git8386ece.fc29.x86_64.rpm
          squeezelite-debugsource-1.8.7.1083-3.20180426git8386ece.fc29.x86_64.rpm
          squeezelite-1.8.7.1083-3.20180426git8386ece.fc29.src.rpm
squeezelite.x86_64: W: incoherent-version-in-changelog 1.8.7.1083-3 ['1.8.7.1083-3.20180426git8386ece.fc29', '1.8.7.1083-3.20180426git8386ece']
squeezelite.x86_64: W: non-standard-uid /var/lib/squeezelite squeezelite
squeezelite.x86_64: W: non-standard-gid /var/lib/squeezelite squeezelite
squeezelite-debugsource.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 4 warnings.

Comment 4 Peter Oliver 2018-04-26 12:12:47 UTC
Apologies, my understanding was that when you mixed GNU GPL with BSD then the result was GNU GPL.  I will update the License tag.

The existing LICENSE.txt includes the contents of dsd2pcm/LICENSE.txt.  Is it necessary to distribute both files?

Comment 5 Robert-André Mauchin 2018-04-26 12:43:34 UTC
(In reply to Peter Oliver from comment #4)
> Apologies, my understanding was that when you mixed GNU GPL with BSD then
> the result was GNU GPL.  I will update the License tag.
> 
> The existing LICENSE.txt includes the contents of dsd2pcm/LICENSE.txt.  Is
> it necessary to distribute both files?

No, you're right, one will be ok.

Comment 7 Robert-André Mauchin 2018-04-26 17:29:08 UTC
Package approved.

Comment 8 Gwyn Ciesla 2018-04-26 18:01:40 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/squeezelite

Comment 9 Fedora Update System 2018-04-26 22:01:19 UTC
squeezelite-1.8.7.1083-6.20180426git8386ece.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-c3f4cbd7c9

Comment 10 Fedora Update System 2018-04-26 22:02:40 UTC
squeezelite-1.8.7.1083-6.20180426git8386ece.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-f9583ca10a

Comment 11 Peter Oliver 2018-04-26 22:58:26 UTC
Many thanks for the speedy review.

Comment 12 Fedora Update System 2018-04-28 01:53:13 UTC
squeezelite-1.8.7.1083-6.20180426git8386ece.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-f9583ca10a

Comment 13 Fedora Update System 2018-04-28 04:07:03 UTC
squeezelite-1.8.7.1083-6.20180426git8386ece.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-c3f4cbd7c9

Comment 14 Fedora Update System 2018-04-30 13:04:03 UTC
squeezelite-1.9.0.1093-1.20180430git7607bcf.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-5212fd4db3

Comment 15 Fedora Update System 2018-04-30 13:04:27 UTC
squeezelite-1.9.0.1093-1.20180430git7607bcf.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-fecdac1d58

Comment 16 Fedora Update System 2018-04-30 18:43:59 UTC
squeezelite-1.9.0.1093-1.20180430git7607bcf.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-fecdac1d58

Comment 17 Fedora Update System 2018-04-30 19:55:27 UTC
squeezelite-1.9.0.1093-1.20180430git7607bcf.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-5212fd4db3

Comment 18 Fedora Update System 2018-05-11 01:23:31 UTC
squeezelite-1.9.0.1093-1.20180430git7607bcf.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2018-05-11 01:49:39 UTC
squeezelite-1.9.0.1093-1.20180430git7607bcf.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.